apiVersion: v1
kind: Namespace
metadata:
   name: fastapitmp
   labels:
     name: fastapi
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: fastapi
  namespace: fastapitmp
  labels:
     name: fastapi
spec:
  selector:
    matchLabels:
      app: fastapi
  replicas: 1
  template:
    metadata:
      labels:
        app: fastapi
    spec:
      containers:
      - name: fastapi
        image: aicoe.azurecr.io/{image_name}:{image_version}
        ports: 
        - containerPort: 5042  
        resources:
          limits:
            cpu: 0.2        
      imagePullSecrets:
      - name: aicoereg
#---
#apiVersion: v1
#kind: Service
#metadata:
#  name: fastapi
#  namespace: fastapitmp
#  labels:
#     name: fastapi
#spec:
#  type: LoadBalancer 
#  ports:
#  - port: 80 
#    targetPort: 5042 
#  selector:
#    app: fastapi
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: fastapi-ingress
  namespace: fastapitmp
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
    nginx.ingress.kubernetes.io/rewrite-target: /$2
spec:
  rules:
  - http:
      paths:
      - backend:
          serviceName: fastapi
          servicePort: 80
        path: /fastapi(/|$)(.*)    
---
apiVersion: autoscaling/v1
kind: HorizontalPodAutoscaler
metadata:
  name: fastapi  
  namespace: fastapitmp 
spec:
  maxReplicas: 5
  minReplicas: 1   
  scaleTargetRef:   
    apiVersion: apps/v1beta1
    kind: Deployment  
    name: fastapi  
  targetCPUUtilizationPercentage: 50